// src/api/ManageApi/index.js
import request from "@/utils/request";

// 根据项目ID分页查询所有标签管理
export function getallspan(params) {
  return request({
    url: "/gysl/bqgl/searchId",
    method: "get",
    params,
  });
}
//新增数据
export function addspan(data) {
  return request({
    url: "/gysl/bqgl/add",
    method: "post",
    data,
  });
}
// 修改信息
export function updatspan(data) {
  return request({
    url: "/gysl/bqgl/edit",
    method: "post",
    data,
  });
}

// 删除信息
export function deletespan(idList) {
  return request({
    url: "/gysl/bqgl/delete",
    method: "delete",
    params: {
      idList: idList.join(","), // 将数组转换为逗号分隔的字符串
    },
  });
}

//月度信息新增
export function addmonth(data) {
  return request({
    url: "/gysl/projectProgress/add",
    method: "post",
    data,
  })
}

// 月度进展信息修改
export function updateProjectProgress(data) {
  return request({
    url: "/gysl/projectProgress/edit",
    method: "put",
    data,
  });
}
// 月度进展信息删除
export function deletemonth(idList) {
  return request({
    url: "/gysl/projectProgress/delete",
    method: "delete",
    params: {
      idList: idList.join(","), // 将数组转换为逗号分隔的字符串
    },
  });
}
